using Wizard.Battle.View.Vfx;

public class Skill_invoke_voice : SkillBase
{
	public Skill_invoke_voice(SkillParameter skillPrm, string option)
		: base(skillPrm, option)
	{
	}

	public override VfxWithLoading Start(CallParameter parameter)
	{
		string text = base.OptionValue.GetString(SkillFilterCreator.ContentKeyword.invoke_voice, "_OPT_NULL_");
		VfxWithLoadingSequential vfxWithLoadingSequential = VfxWithLoadingSequential.Create();
		vfxWithLoadingSequential.RegisterToLoadingVfx(new WaitLoadVoiceResourceVfx(base.SkillPrm.ownerCard.BattleCardView, text.Split('_')[0]));
		vfxWithLoadingSequential.RegisterToMainVfx(new PlayCRISoundVfx(base.SkillPrm.ownerCard.BattleCardView, text));
		return vfxWithLoadingSequential;
	}
}
